%define module_name compcache
%define module_source %module_name-%version.tar
%define module_source_dir %module_name-%version

Name: kernel-source-%module_name
Version: 0.5.4
Release: alt1

Summary: Linux %module_name modules sources
License: GPL
Group: Development/Kernel

Url: http://code.google.com/p/%module_name/
Source: %module_source
Packager: Michael Shigorin <mike@altlinux.org>

BuildPreReq: kernel-build-tools >= 0.1-alt3
BuildArch: noarch

%description
Compressing swap pages and keeping them in RAM provides more
memory space for applications. This is especially useful for
swapless embedded devices. Also, flash storage typically used
in embedded devices suffer from wear-leveling issues - so it's
very useful if we can avoid them using as swap device.

This package contains sources for %module_name kernel modules.

%prep
%setup -n %module_source_dir

%install
install -d -m 0755 %buildroot%kernel_src
cd ..
mv %module_source_dir kernel-source-%module_name-%version
tar -c kernel-source-%module_name-%version \
| bzip2 -c \
> %buildroot%kernel_src/kernel-source-%module_name-%version.tar.bz2
rm -r kernel-source-%module_name-%version

%files
%kernel_src/kernel-source-%module_name-%version.tar.bz2

%changelog
* Sat Dec 19 2009 Michael Shigorin <mike@altlinux.org> 0.5.4-alt1
- 0.5.4
  + supports 2.6.27
  + includes 'swap notify' patch

* Mon Aug 17 2009 Michael Shigorin <mike@altlinux.org> 0.5.3-alt2
- gearized
- minor spec cleanup

* Mon Jun 15 2009 Michael Shigorin <mike@altlinux.org> 0.5.3-alt1
- 0.5.3
- me as a Packager:

* Sun Sep 28 2008 Led <led@altlinux.ru> 0.4-alt1
- 0.4

* Mon Mar 17 2008 Led <led@altlinux.ru> 0.3-alt1
- 0.3:
  + Swap device renamed to /dev/ramzswap0

* Thu Feb 28 2008 Led <led@altlinux.ru> 0.1-alt1
- initial build
